From f8f512b3aa94a2346787a2a0b15b59f59dc33780 Mon Sep 17 00:00:00 2001
From: Bavarian <Bavarian@Team-MediaPortal.com>
Date: Sun, 1 Apr 2012 22:19:17 +0200
Subject: [PATCH 3/3] fix TVLib logger path issue

Signed-off-by: Bavarian <Bavarian@Team-MediaPortal.com>
---
 TvEngine3/TVLibrary/SetupTv/Startup.cs    |   11 +++++++++++
 TvEngine3/TVLibrary/TvService/Service1.cs |    2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/TvEngine3/TVLibrary/SetupTv/Startup.cs b/TvEngine3/TVLibrary/SetupTv/Startup.cs
index 86c51c4..1612c04 100644
--- a/TvEngine3/TVLibrary/SetupTv/Startup.cs
+++ b/TvEngine3/TVLibrary/SetupTv/Startup.cs
@@ -28,6 +28,7 @@ using System.Configuration;
 using System.Reflection;
 using System.Threading;
 using System.Diagnostics;
+using MediaPortal.Common.Utils.Logger;
 using TvControl;
 using TvDatabase;
 using TvLibrary.Log;
@@ -100,6 +101,16 @@ namespace SetupTv
     [STAThread]
     public static void Main(string[] arguments)
     {
+      // Init Common logger -> this will enable TVPlugin to write in the Mediaportal.log file
+      var loggerName = Path.GetFileNameWithoutExtension(Environment.GetCommandLineArgs()[0]);
+      var dataPath = Log.GetPathName();
+      var loggerPath = dataPath + (dataPath.EndsWith("\\") ? "log" : "\\log");
+#if DEBUG
+      if (loggerName != null) loggerName = loggerName.Replace(".vshost", "");
+#endif
+      CommonLogger.Instance = new CommonLog4NetLogger(loggerName, dataPath, loggerPath);
+      
+      
       Thread.CurrentThread.Name = "SetupTv";
 
       Process[] p = Process.GetProcessesByName(Process.GetCurrentProcess().ProcessName);
diff --git a/TvEngine3/TVLibrary/TvService/Service1.cs b/TvEngine3/TVLibrary/TvService/Service1.cs
index 5e70386..36ea760 100644
--- a/TvEngine3/TVLibrary/TvService/Service1.cs
+++ b/TvEngine3/TVLibrary/TvService/Service1.cs
@@ -96,7 +96,7 @@ namespace TvService
       // Init Common logger -> this will enable TVPlugin to write in the Mediaportal.log file
       var loggerName = Path.GetFileNameWithoutExtension(Environment.GetCommandLineArgs()[0]);
       var dataPath = Log.GetPathName();
-      var loggerPath = Path.Combine(dataPath, "\\log");
+      var loggerPath = dataPath + (dataPath.EndsWith("\\") ? "log" : "\\log");
 #if DEBUG
       if (loggerName != null) loggerName = loggerName.Replace(".vshost", "");
 #endif
-- 
1.7.10.msysgit.1

